
# Copyright (C) SEIKO EPSON CORPORATION 2003-2004.

%define VERSION 2.6.2
%define PREFIX /usr
%define BINDIR %{PREFIX}/bin
%define ETCDIR /etc
%define VARDIR /var
%define LIBDIR %{PREFIX}/lib
%define KOWADIR %{PREFIX}/local/EPKowa
%define DEAMONDIR %{KOWADIR}/printer
%define DATADIR %{KOWADIR}/PM930C
%define LOCALEDIR %{PREFIX}/share/locale

Summary: Photo Image Print System for EPSON PM-930C (i386)
Summary(ja): EPSON PM-930C ѤPhoto Image Print System (i386)
Name: pips930
Version: %{VERSION}
Release: 2
Copyright: Copyright (C) 2000-2004 EPSON KOWA Corporation. / Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
Group: System/Printer
Source0: pips930-%{VERSION}.tar.gz
Packager: EPSON KOWA Corporation
BuildRoot: /var/tmp/%{name}

%description

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
./configure --prefix=/usr

%build
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh install

%preun
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh deinstall
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{KOWADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files
%defattr(-,root,root)

%{BINDIR}/pips930
%{BINDIR}/ekpstm
%{LIBDIR}/libpm930c.so
%{DEAMONDIR}/ekpd
%{DEAMONDIR}/gsconfig
%{DEAMONDIR}/dtrfilter
%{DEAMONDIR}/freset
%{DEAMONDIR}/paper_list.csv
%{DATADIR}/filter930
%{ETCDIR}/ekpdrc
%{VARDIR}/ekpd/ekplp0
%{DATADIR}/readme930
%{DATADIR}/libpm930c.readme
%{BINDIR}/ekpnavi
%{DATADIR}/inst-post.sh
%{DATADIR}/lang

%{LOCALEDIR}/ja/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/de/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/es/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/it/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pips930.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pips930.mo

%{LOCALEDIR}/ja/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/de/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/es/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/fr/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/it/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/nl/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/pt/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/ko/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/zh/LC_MESSAGES/ekpnavi.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/ekpnavi.mo

%{LOCALEDIR}/ja/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/de/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/es/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/fr/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/it/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/nl/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/pt/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/ko/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/zh/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/ekpstm.mo

%{DATADIR}/setup
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc

%{DATADIR}/inst-rc_d.sh
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/rc.d/ekpd.local.slackware

%{DATADIR}/BID.PRN
%{DATADIR}/PATCH.PRN.COLOR
%{DATADIR}/PATCH.PRN.COLOR.2
%{DATADIR}/PATCH.PRN.COLOR.3
%{DATADIR}/PATCH.PRN
%{DATADIR}/PATCH.PRN.2
%{DATADIR}/PATCH.PRN.3

%doc AUTHORS
%doc README
%doc COPYING
%doc COPYING.LIB
%doc COPYING.KOWA
%doc COPYING.KOWA.ja
%doc ChangeLog
