/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2003-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

/* Option Entry */
char *inkEntry[] = {
        "COLOR", "MONO",
        NULL
};

char *binEntry[] = {
        "AUTO", "ROLL", "TROLL", "T4AUTO",
        NULL
};

char *mediaSizeEntry[] = {
        "A4", "B5", "A5", "A6", "PC", "DPC", "L", "2L", "ENVC3",
        "ENVC4", "ENVY1", "ENVY2", "ENVY3", "ENVY4", "LT", "LGL",
        NULL
};

char *mediaSizeEntry_R[] = {
        "A4", "B5", "A5", "A6", "PC", "DPC", "L", "LL", "2L", "4X6", "NC",
	"LT", "LGL",
	NULL
};

char *mediaSizeEntry_TR[] = {
        "A4", "PC", "L", "LL", "2L", "4X6", "NC",
	NULL
};

char *mediaSizeEntry_NMA[] = {
        "A4", "PC", "L", "2L",
        NULL
};

char *resolutionEntry[] = {
        "180", "360", "720",
        NULL
};

char *mediaTypeEntry[] = {
        "PLAIN", "ESF", "EPP", "PMPHOTO", "PMMATT",
        "IJPC", "OHP", "GFILM", "IRON", "MBOARD",
        NULL
};

char *colorModeEntry[] = {
        "AUTO", "PHOTO", "GRAPH", "NONE",
        NULL
};

char *halftoneEntry[] = {
        "ED",
        NULL
};

char *levelEntry[] = {
        "DRAFT", "STD360", "FINE720", "SFINE720",
	"PHOTO1440", "PHOTO2880", "SPHOTO2880",
        NULL
};

char *multiPageEntry[] = {
        "1", "2", "4",
        NULL
};

char *autoCutEntry[] = {
        "NONE",
        NULL
};


/* pModeCol     :       Color
   pModeMono    :       Monochrome

   MediaNumber  :       see pipsDef.h
   Inmput       :       1:120/180, 2:360, 4:720
   Halftone     :       <or> 1:ED 2:DB
   HighSpeed    :       0:OFF 1:ON 2:ON/OFF
*/
short pModeCol[] = {
        24,
        /* mediaName            Input           MicroWeave      Quality */
        /* & MediaNumber                Halftone        HighSpeed       */
        /* PLAIN */
        PIPS_MED_PLAIN,         1,      1,      0,      1,      0x000,
        PIPS_MED_PLAIN,         2,      1,      1,      2,      0x020,
        PIPS_MED_PLAIN,         4,      1,      1,      2,      0x400,
        /* ESF */
        PIPS_MED_ESF,           6,      1,      1,      2,      0x330,
        PIPS_MED_ESF,           4,      1,      1,      2,      0x400,
        /* EPP */
        PIPS_MED_EPP,           6,      1,      1,      2,      0x330,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x400,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x500,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x600,
        /* RC_PHOTO */
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x400,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x500,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x600,
        /* MATT_HEAVY */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x400,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x500,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x600,
        /* IJPC */
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x330,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x400,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x500,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x600,
         /* GLOSSYFILM */
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x500,
        /* TRANSPARENCY */
        PIPS_MED_TRANSPARENCY,  4,      1,      1,      0,      0x500,
        /* IRON_PRINT */
        PIPS_MED_IRON_PRINT,    4,      1,      1,      0,      0x400,
        /* MAT_BOARD */
        PIPS_MED_MAT_BOARD,     4,      1,      1,      0,      0x400
};

short pModeMono[] = {
        24,
        /* mediaName            Input           MicroWeave      Quality */
        /* & MediaNumber                Halftone        HighSpeed       */
        PIPS_MED_PLAIN,         1,      1,      0,      1,      0x000,
        PIPS_MED_PLAIN,         2,      1,      1,      2,      0x020,
        PIPS_MED_PLAIN,         4,      1,      1,      2,      0x400,
        /* ESF */
        PIPS_MED_ESF,           6,      1,      1,      2,      0x330,
        PIPS_MED_ESF,           4,      1,      1,      2,      0x400,
        /* EPP */
        PIPS_MED_EPP,           6,      1,      1,      2,      0x330,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x400,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x500,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x600,
        /* RC_PHOTO */
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x400,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x500,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x600,
        /* MATT_HEAVY */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x400,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x500,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x600,
        /* IJPC */
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x330,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x400,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x500,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x600,
        /* TRANSPARENCY  */
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x500,
        /* GLOSSYFILM    */
        PIPS_MED_TRANSPARENCY,  4,      1,      1,      0,      0x500,
        /* IRON_PRINT    */
        PIPS_MED_IRON_PRINT,    4,      1,      1,      0,      0x400,
        /* MAT_BOARD     */
        PIPS_MED_MAT_BOARD,     4,      1,      1,      0,      0x400

};

/* Bin="T4AUTO" $B;~$KL58z$K$J$k0u;z%b!<%I(BID (color,black $B6&DL(B)*/
short de_param_mode_t4_for_pm930c[] = {
	0, 8, 11, 15, 19, 20, 21, 22, 23, -1
};

#endif /* __OPT_RSC__ */
